Halls API (1.0.0)

Download OpenAPI specification:

Please contact your account manager with any queries, or if in doubt email support@studentcrowd.com.

Request Rate Limiting

To ensure the stability and performance of our API for all users, we have implemented a request rate limit. This rate limit is designed to prevent excessive usage that could impact the service quality for other users.

Rate Limit Details:

  • Request Limit: 60 requests
  • Time Window: 60 seconds (1 minute)

This means that within any given 60-second window, a maximum of 60 requests can be made to the API from a single client (identified by an API key or IP address). If the number of requests exceeds this limit, additional requests will be temporarily blocked until the start of the next time window.

Halls

List

query Parameters
size
integer <int32> <= 500
Default: 100

Number of results to return

updated_since
string <date-time>
Example: updated_since=2026-02-01T00:00:00Z

Optional. Return only halls updated after this timestamp (delta sync). Format: ISO 8601 in UTC, e.g. 2026-02-11T14:30:00Z. Invalid or malformed values return 400 Bad Request.

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "links": {
    }
}

Hall

path Parameters
hallId
required
string

Hall ID

Responses

Response samples

Content type
application/json
{
  • "type": "hall",
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "attributes": {
    },
  • "relationships": {
    },
  • "links": {
    }
}

Reviews

path Parameters
hallId
required
string

Hall ID

query Parameters
size
integer <int32> <= 500
Default: 100

Number of results to return

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "links": {
    }
}

Room Types

path Parameters
hallId
required
string

Hall ID

query Parameters
size
integer <int32> <= 500
Default: 100

Number of results to return

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "links": {
    }
}

Room Types

List

query Parameters
size
integer <int32> <= 500
Default: 100

Number of results to return

updated_since
string <date-time>
Example: updated_since=2026-02-01T00:00:00Z

Optional. Return only room types updated after this timestamp (delta sync). Format: ISO 8601 in UTC, e.g. 2026-02-11T14:30:00Z. Invalid or malformed values return 400 Bad Request.

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "links": {
    }
}

RoomType

path Parameters
roomTypeId
required
string

RoomType ID

Responses

Response samples

Content type
application/json
{
  • "type": "roomType",
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "attributes": {
    },
  • "relationships": {
    },
  • "links": {
    }
}

Room Tenancies

List

query Parameters
size
integer <int32> <= 500
Default: 100

Number of results to return

updated_since
string <date-time>
Example: updated_since=2026-02-01T00:00:00Z

Optional. Return only room tenancies updated after this timestamp (delta sync). Format: ISO 8601 in UTC, e.g. 2026-02-11T14:30:00Z. Invalid or malformed values return 400 Bad Request.

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "links": {
    }
}

RoomTenancy

path Parameters
roomTenancyId
required
string

Room Tenancy ID

Responses

Response samples

Content type
application/json
{
  • "type": "roomTenancy",
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "attributes": {
    },
  • "relationships": {
    },
  • "links": {
    }
}

Reviews

List

query Parameters
size
integer <int32> <= 500
Default: 100

Number of results to return

updated_since
string <date-time>
Example: updated_since=2026-02-01T00:00:00Z

Optional. Return only reviews updated after this timestamp (delta sync). Format: ISO 8601 in UTC, e.g. 2026-02-11T14:30:00Z. Invalid or malformed values return 400 Bad Request.

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "links": {
    }
}

Review

path Parameters
reviewId
required
string

Review ID

Responses

Response samples

Content type
application/json
{
  • "type": "review",
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "attributes": {
    },
  • "relationships": {
    },
  • "links": {
    }
}